
Redmine - Defect #2512

Subproject filter do not work

2009-01-15 11:05 - Dmitry Maslennikov

Status: Closed Start date: 2009-01-15

Priority: Normal Due date:  

Assignee: Mischa The Evil % Done: 0%

Category: Documentation Estimated time: 2.00 hours

Target version:    

Resolution: Wont fix Affected version:  

Description

I try filter issues of my project by subproject. But this does not work for me. Redmine ignores this filter and shows all issues for both

project and subproject.

Related issues:

Has duplicate Redmine - Defect #8853: Filter on subproject does not work Closed 2011-07-19

Precedes Redmine - Feature #3952: Filtering by subproject still shows current... New 2009-10-01

History

#1 - 2009-01-18 11:56 - Jean-Philippe Lang

Please read SubmittingBugs.

#2 - 2009-01-29 09:01 - Ewan Makepeace

- File Screenshot_4.jpg added

+1

Jean-Philippe what was the point of your note? Do you mean that we should avoid duplicates (I cant find one) or that you need version numbers?

I have Redmine 0.7.devel.1249 (MySQL)

Attached is my issue list filtered for a specific subproject but it still includes the parent issues:

 Screenshot_4.jpg 

#3 - 2009-01-29 09:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Jean-Philippe what was the point of your note?

 There are some guidelines for submitting a bug. I'd appreciate that users take a few more seconds to provide the requested information. That's it.

Sometimes, I just waste half an hour trying to reproduce a problem without success just because of some missing information.

Anyway, this is not a bug but a design choice.

Say you have project A with 3 subprojects B, C and D.

Subproject filter = 'none' => lists issues of A only

Subproject filter = B => lists issues of A and B

If you want to see issues of B only, go to project B issue list.

#4 - 2009-11-24 01:35 - Mischa The Evil

- Category set to Documentation

- Assignee set to Mischa The Evil

Documentation of this design needs to be added to the wiki. Assigned to remember it...
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs


edit: also added the "precedes" relation to issue #3952

#5 - 2016-12-24 06:47 - Go MAEDA

- Has duplicate Defect #8853: Filter on subproject does not work added

Files

Screenshot_4.jpg 44.2 KB 2009-01-29 Ewan Makepeace
